[RISOLTO] Aggiornamento kernel e problemi Nvidia

Discussioni sulla compatibilità dell'Hardware con linux, Drivers, ...

[RISOLTO] Aggiornamento kernel e problemi Nvidia

Messaggioda MixDeb » 08/01/2018, 12:53

Buon giorno,

questo e il mio primo messaggio nel forum spero di non commettere troppi errori.
sono un utilizzatore di debian da parecchi anni, non ho mai avuto problemi e se mi è possibile cerco di aiutare il prossimo con le mie conoscenze.
vi descrivo prima il computer e poi il problema da me riscontrato.
hardware
scheda madre evga 131-GT-E767
processore Intel(R) Xeon(R) CPU X5650 @ 2.67GHz
ram 23Gb ddr3
scheda video 02:00.0 VGA compatible controller: NVIDIA Corporation GM200 [GeForce GTX 980 Ti] (rev a1)

software
sistema operativo Linux 4.9.0-4-amd64 #1 SMP Debian 4.9.65-3+deb9u1 (2017-12-23) x86_64 GNU/Linux


ed ora il problema ;D ;D ;D

fino a poco tempo fa utilizzavo i drivers nvidia proprietari (dai repositoy debian )
poi dopo l'ultimo aggiornamento (di qualche mese fa...) all'avvio il computer parte ma quando si avvia la parte grafica lo schermo inizia a lampeggiare (proprio tutto lo schermo) e non mi permette di fare nulla (il sistema sembra freezato), se entro in recovery non c'è nessun problema (a parte che è testuale) stessa cosa de disabilito l'avvio grafico il pc parte senza problemi ma come tento di caricare una qualsiasi interfaccia grafica ecco che lo schermo ritorna a lampeggiare non permettendomi di proseguire oltre.
dall'avvio testuale comunque la scheda risulta configurata e perfettamente funzionante e non ho alcun errore nei log.

ho cercato la soluzione un po dappertutto senza trovare il caso specifico come il mio.

ho provato ad installare anche i drivers ufficiali nvidia (quelli scaricati dal sito ufficiale *.run)ma sempre con lo stesso risultato.

ad ogni passaggio ho comunque sempre rimosso tutte le dipendenze prima dell'installazione successiva per evitare problemi

ora ho trovato una soluzione "tampone" ovvero utilizzare i drivers nouveau, con loro nessun problema, tutto perfetto con il limiti di nouveau, si purtroppo con i limiti, perche ho necessita di abilitare i drivers nvidia e cuda per poter utilizzare le potenzialita e la gestione della scheda.

i drivers nello specifico non penso possano essere dato che sono gli stessi che "usavo" il giorno prima
suppongo un aggiornamento del kernel... ma una volta fatto il danno... anche usare il kernel precedente non è servito.

spero di aver scritto e descritto tutte le informazioni.

per qualsiasi mia mancanza chiedo venia e postero tutte le risposte alle vostre richieste.

grazie.
Ultima modifica di MixDeb il 11/01/2018, 21:47, modificato 2 volte in totale.
MixDeb
Newbie
Newbie
 
Messaggi: 28
Iscritto il: 08/01/2018, 11:55

Re: Aggiornamento kernel e problemi Nvidia

Messaggioda s3v » 08/01/2018, 15:59

Benvenuto ;)
MixDeb ha scritto:anche usare il kernel precedente non è servito.

Quale kernel precedente hai usato? Puoi postare la lista dei kernel sulla tua macchina?
Se avvii con il kernel precedente (quale?), puoi fornire il risultato del comando:
Codice: Seleziona tutto
# dkms status
?
Inoltre sarebbe utile anche vedere i log dei pacchetti aggiornati che hanno portato al problema. Li trovi in "/var/log/apt/".
Avatar utente
s3v
Global Moderator
Global Moderator
 
Messaggi: 5589
Iscritto il: 31/12/2008, 11:54

Re: Aggiornamento kernel e problemi Nvidia

Messaggioda MixDeb » 08/01/2018, 16:37

grazie per l'aiuto, il risultato di # dkms status è
8192cu, 1.10, 4.8.0-0.bpo.2-amd64, x86_64: installed
8192cu, 1.10, 4.9.0-3-amd64, x86_64: installed
8192cu, 1.10, 4.9.0-4-amd64, x86_64: installed
8192cu, 1.10, 4.9.0-5-amd64, x86_64: installed

ed il log di apt è
Codice: Seleziona tutto
Start-Date: 2017-12-12  19:17:33
Commandline: packagekit role='update-packages'
Requested-By: michel (1000)
Upgrade: libgssapi3-heimdal:amd64 (7.1.0+dfsg-13+deb9u1, 7.1.0+dfsg-13+deb9u2), libwind0-heimdal:amd64 (7.1.0+dfsg-13+deb9u1, 7.1.0+dfsg-13+deb9u2), kde-config-gtk-style:amd64 (4:5.8.6-1, 4:5.8.6-1+deb9u1), linux-libc-dev:amd64 (4.9.51-1, 4.9.65-3), libwiretap6:amd64 (2.2.6+g32dac6a-2, 2.2.6+g32dac6a-2+deb9u1), kde-config-gtk-style-preview:amd64 (4:5.8.6-1, 4:5.8.6-1+deb9u1), libc6-dev:amd64 (2.24-11+deb9u1, 2.24-11+deb9u2), fig2dev:amd64 (1:3.2.6a-2, 1:3.2.6a-2+deb9u1), transfig:amd64 (1:3.2.6a-2, 1:3.2.6a-2+deb9u1), libheimntlm0-heimdal:amd64 (7.1.0+dfsg-13+deb9u1, 7.1.0+dfsg-13+deb9u2), linux-image-4.9.0-4-amd64:amd64 (4.9.51-1, 4.9.65-3), libwsutil7:amd64 (2.2.6+g32dac6a-2, 2.2.6+g32dac6a-2+deb9u1), libheimbase1-heimdal:amd64 (7.1.0+dfsg-13+deb9u1, 7.1.0+dfsg-13+deb9u2), libc6:amd64 (2.24-11+deb9u1, 2.24-11+deb9u2), libc6:i386 (2.24-11+deb9u1, 2.24-11+deb9u2), libxcursor1:amd64 (1:1.1.14-1+b4, 1:1.1.14-1+deb9u1), libxcursor1:i386 (1:1.1.14-1+b4, 1:1.1.14-1+deb9u1), libdbi1:amd64 (0.9.0-4+b2, 0.9.0-4+deb9u1), libwireshark8:amd64 (2.2.6+g32dac6a-2, 2.2.6+g32dac6a-2+deb9u1), locales:amd64 (2.24-11+deb9u1, 2.24-11+deb9u2), linux-headers-4.9.0-4-common:amd64 (4.9.51-1, 4.9.65-3), linux-compiler-gcc-6-x86:amd64 (4.9.51-1, 4.9.65-3), libapparmor1:amd64 (2.11.0-3, 2.11.0-3+deb9u1), webmin:amd64 (1.860, 1.870), iceweasel-l10n-it:amd64 (1:52.5.0esr-1~deb9u1, 1:52.5.2esr-1~deb9u1), tshark:amd64 (2.2.6+g32dac6a-2, 2.2.6+g32dac6a-2+deb9u1), multisystem:amd64 (1.0403, 1.0405), libc-l10n:amd64 (2.24-11+deb9u1, 2.24-11+deb9u2), wireshark-common:amd64 (2.2.6+g32dac6a-2, 2.2.6+g32dac6a-2+deb9u1), libwscodecs1:amd64 (2.2.6+g32dac6a-2, 2.2.6+g32dac6a-2+deb9u1), libc-bin:amd64 (2.24-11+deb9u1, 2.24-11+deb9u2), libhcrypto4-heimdal:amd64 (7.1.0+dfsg-13+deb9u1, 7.1.0+dfsg-13+deb9u2), libc6-i386:amd64 (2.24-11+deb9u1, 2.24-11+deb9u2), linux-kbuild-4.9:amd64 (4.9.51-1, 4.9.65-3), libc6-i686:i386 (2.24-11+deb9u1, 2.24-11+deb9u2), libc-dev-bin:amd64 (2.24-11+deb9u1, 2.24-11+deb9u2), multiarch-support:amd64 (2.24-11+deb9u1, 2.24-11+deb9u2), linux-perf-4.9:amd64 (4.9.51-1, 4.9.65-3), libroken18-heimdal:amd64 (7.1.0+dfsg-13+deb9u1, 7.1.0+dfsg-13+deb9u2), firefox-esr-l10n-it:amd64 (52.5.0esr-1~deb9u1, 52.5.2esr-1~deb9u1), linux-headers-4.9.0-4-amd64:amd64 (4.9.51-1, 4.9.65-3), libasn1-8-heimdal:amd64 (7.1.0+dfsg-13+deb9u1, 7.1.0+dfsg-13+deb9u2), libkrb5-26-heimdal:amd64 (7.1.0+dfsg-13+deb9u1, 7.1.0+dfsg-13+deb9u2), glibc-doc:amd64 (2.24-11+deb9u1, 2.24-11+deb9u2), libwireshark-data:amd64 (2.2.6+g32dac6a-2, 2.2.6+g32dac6a-2+deb9u1), cron:amd64 (3.0pl1-128+b1, 3.0pl1-128+deb9u1), libhx509-5-heimdal:amd64 (7.1.0+dfsg-13+deb9u1, 7.1.0+dfsg-13+deb9u2), firefox-esr:amd64 (52.5.0esr-1~deb9u1, 52.5.2esr-1~deb9u1), base-files:amd64 (9.9+deb9u2, 9.9+deb9u3)
MixDeb
Newbie
Newbie
 
Messaggi: 28
Iscritto il: 08/01/2018, 11:55

Re: Aggiornamento kernel e problemi Nvidia

Messaggioda s3v » 08/01/2018, 16:50

Non vedo il modulo nvidia tra quelli installati dal DKMS. Hai per caso rimosso il pacchetto con i driver nvidia proprietari?
Codice: Seleziona tutto
$ dpkg -l | grep -i nvidia
Avatar utente
s3v
Global Moderator
Global Moderator
 
Messaggi: 5589
Iscritto il: 31/12/2008, 11:54

Re: Aggiornamento kernel e problemi Nvidia

Messaggioda MixDeb » 08/01/2018, 17:03

...ho provato a postare il log per intero me è troppo grosso supero i 5000 caratteri...

Il messaggio contiene 43906 caratteri. Il numero massimo di caratteri permessi è 5000.

posso allegarvi il file compresso?

si al momento ho rimosso i file proprietari nvidia ed al loro posto ho installato i nouveau

e nel log dell'aggiornamento non compare nvidia perche non faceva parte dell'aggiornamento

inviandovi il log completo si puo notare che dopo tale aggiornamento ho fatto piu prove con i drivers nvidia...

Grazie
Ultima modifica di MixDeb il 08/01/2018, 17:17, modificato 1 volta in totale.
MixDeb
Newbie
Newbie
 
Messaggi: 28
Iscritto il: 08/01/2018, 11:55

Re: Aggiornamento kernel e problemi Nvidia

Messaggioda MixDeb » 08/01/2018, 17:04

rc glx-alternative-nvidia 0.7.4 amd64 allows the selection of NVIDIA as GLX provider
rc libcg:amd64 3.1.0013-2+b1 amd64 Nvidia Cg core runtime library
rc libcggl:amd64 3.1.0013-2+b1 amd64 Nvidia Cg Opengl runtime library
ii libcupti-dev:amd64 8.0.44-4 amd64 NVIDIA CUDA Profiler Tools Interface development files
ii libcupti-doc 8.0.44-4 all NVIDIA CUDA Profiler Tools Interface documentation
ii libcupti8.0:amd64 8.0.44-4 amd64 NVIDIA CUDA Profiler Tools Interface runtime library
ii libnvtoolsext1:amd64 8.0.44-4 amd64 NVIDIA Tools Extension Library
rc nvidia-alternative 375.82-1~deb9u1 amd64 allows the selection of NVIDIA as GLX provider
rc nvidia-installer-cleanup 20151021+4 amd64 cleanup after driver installation with the nvidia-installer
rc nvidia-kernel-4.9.0-4-amd64 375.82-1~deb9u1+4.9.65-3 amd64 NVIDIA binary kernel module for Linux 4.9.0-4-amd64
rc nvidia-kernel-common 20151021+4 amd64 NVIDIA binary kernel module support files
rc nvidia-kernel-support 375.82-1~deb9u1 amd64 NVIDIA binary kernel module support files
rc nvidia-legacy-check 375.82-1~deb9u1 amd64 check for NVIDIA GPUs requiring a legacy driver
rc nvidia-settings 375.66-1 amd64 tool for configuring the NVIDIA graphics driver
rc nvidia-support 20151021+4 amd64 NVIDIA binary graphics driver support files
rc xserver-xorg-video-nvidia 375.82-1~deb9u1 amd64 NVIDIA binary Xorg driver
MixDeb
Newbie
Newbie
 
Messaggi: 28
Iscritto il: 08/01/2018, 11:55

Re: Aggiornamento kernel e problemi Nvidia

Messaggioda s3v » 08/01/2018, 17:15

MixDeb ha scritto:...ho provato a postare il log per intero me è troppo grosso supero i 5000 caratteri...
Il messaggio contiene 43906 caratteri. Il numero massimo di caratteri permessi è 5000.
posso allegarvi il file compresso?

Quale log?

Prova a installare gli header contenuti in questo pacchetto [1]:
Codice: Seleziona tutto
# dpkg -i linux-headers-4.8.0-0.bpo.2-amd64_4.8.15-2~bpo8+2_amd64.deb

poi riavviare la macchina con il kernel 4.8.0-0.bpo.2-amd64 e installare il pacchetto:
Codice: Seleziona tutto
# apt-get install nvidia-driver


[1]http://snapshot.debian.org/archive/debian/20170118T152611Z/pool/main/l/linux/linux-headers-4.8.0-0.bpo.2-amd64_4.8.15-2%7Ebpo8%2B2_amd64.deb
Avatar utente
s3v
Global Moderator
Global Moderator
 
Messaggi: 5589
Iscritto il: 31/12/2008, 11:54

Re: Aggiornamento kernel e problemi Nvidia

Messaggioda MixDeb » 08/01/2018, 17:23

il log completo dal quale ho ricavato le informazioni dell'aggiornamento, ora provo a fare le installazioni.

incrocio le dita

grazie
MixDeb
Newbie
Newbie
 
Messaggi: 28
Iscritto il: 08/01/2018, 11:55

Re: Aggiornamento kernel e problemi Nvidia

Messaggioda MixDeb » 08/01/2018, 17:34

non me lo permette perche in sinaptic ho solamente la versione linux-headers-4.9.0-4

ed il comando mi restituisce

Codice: Seleziona tutto
root@Michel:/home/michel# dpkg -i linux-headers-4.8.0-0.bpo.2-amd64_4.8.15-2~bpo8+2_amd64.deb
dpkg: errore: cannot access archive 'linux-headers-4.8.0-0.bpo.2-amd64_4.8.15-2~bpo8+2_amd64.deb': File o directory non esistente
MixDeb
Newbie
Newbie
 
Messaggi: 28
Iscritto il: 08/01/2018, 11:55

Re: Aggiornamento kernel e problemi Nvidia

Messaggioda MixDeb » 08/01/2018, 17:40

se puo essere di aiuto questo e il mio sources.list

Codice: Seleziona tutto
#
deb http://ftp.it.debian.org/debian/ stretch-backports main contrib non-free
deb-src http://ftp.it.debian.org/debian/ stretch-backports main



##
##
##
##
##firestarter##


##
##
##
## STABLE ##
# Backported packages for Debian squeeze

# VIRTUALBOX PUEL

# MULTIMEDIA

# REMASTERSYS

# WEBMIN
deb http://download.webmin.com/download/repository/ sarge contrib


#SKYPE



deb http://http.us.debian.org/debian/ stretch-backports non-free contrib main
deb http://ftp.us.debian.org/debian/ stretch-backports non-free contrib main
deb http://ftp.us.debian.org/debian/ stretch-proposed-updates contrib non-free main


#MULTISYSTEM
deb http://liveusb.info/multisystem/depot/ all main

#VIRTUALBOX
deb http://download.virtualbox.org/virtualbox/debian/ stretch contrib

#FIREFOX

deb http://www.deb-multimedia.org/ stretch-backports contrib non-free main
deb-src http://www.deb-multimedia.org/ stretch-backports main
deb http://ftp.debian.org/debian/ stretch contrib non-free main
deb-src http://ftp.debian.org/debian/ stretch contrib non-free main


deb http://security.debian.org/ stretch/updates contrib main non-free
deb http://ftp.us.debian.org/debian/ stretch-updates non-free main contrib



deb http://httpredir.debian.org/debian/ stretch-backports main contrib non-free
deb-src http://httpredir.debian.org/debian/ stretch-backports main contrib non-free

deb http://deb.debian.org/debian/ stretch main contrib non-free


##NEW##

deb http://deb.debian.org/debian/ stable main contrib non-free
deb-src http://deb.debian.org/debian/ stable main contrib non-free

deb http://deb.debian.org/debian/ stable-updates main contrib non-free
deb-src http://deb.debian.org/debian/ stable-updates main contrib non-free

deb http://deb.debian.org/debian-security stable/updates main
deb-src http://deb.debian.org/debian-security stable/updates main

deb http://ftp.debian.org/debian stretch-backports main
deb-src http://ftp.debian.org/debian stretch-backports main





MixDeb
Newbie
Newbie
 
Messaggi: 28
Iscritto il: 08/01/2018, 11:55

Re: Aggiornamento kernel e problemi Nvidia

Messaggioda s3v » 08/01/2018, 17:41

Puoi installare tutti gli header che vuoi, probabilmente l'errore è dovuto al fatto che il comando va impartito nella stessa directory in cui si trova il file .deb.
Avatar utente
s3v
Global Moderator
Global Moderator
 
Messaggi: 5589
Iscritto il: 31/12/2008, 11:54

Re: Aggiornamento kernel e problemi Nvidia

Messaggioda MixDeb » 08/01/2018, 17:49

scusate la mia ignoranza, dove li trovo? grazie
MixDeb
Newbie
Newbie
 
Messaggi: 28
Iscritto il: 08/01/2018, 11:55

Re: Aggiornamento kernel e problemi Nvidia

Messaggioda s3v » 08/01/2018, 17:52

Nel mio messaggio ti ho scritto il link in basso...
Avatar utente
s3v
Global Moderator
Global Moderator
 
Messaggi: 5589
Iscritto il: 31/12/2008, 11:54

Re: Aggiornamento kernel e problemi Nvidia

Messaggioda MixDeb » 08/01/2018, 17:55

visto... grazie, ora provvedo...
MixDeb
Newbie
Newbie
 
Messaggi: 28
Iscritto il: 08/01/2018, 11:55

Re: Aggiornamento kernel e problemi Nvidia

Messaggioda MixDeb » 08/01/2018, 18:04

questo è il risultato...


Codice: Seleziona tutto
root@Michel:/linux-headers# dpkg -i linux-headers-4.8.0-0.bpo.2-amd64_4.8.15-2~bpo8+2_amd64.deb
Selezionato il pacchetto linux-headers-4.8.0-0.bpo.2-amd64 non precedentemente selezionato.
(Lettura del database... 470123 file e directory attualmente installati.)
Preparativi per estrarre linux-headers-4.8.0-0.bpo.2-amd64_4.8.15-2~bpo8+2_amd64.deb...
Estrazione di linux-headers-4.8.0-0.bpo.2-amd64 (4.8.15-2~bpo8+2)...
dpkg: problemi con le dipendenze impediscono la configurazione di linux-headers-4.8.0-0.bpo.2-amd64:
 linux-headers-4.8.0-0.bpo.2-amd64 dipende da linux-headers-4.8.0-0.bpo.2-common (= 4.8.15-2~bpo8+2); comunque:
  Il pacchetto linux-headers-4.8.0-0.bpo.2-common non è installato.
 linux-headers-4.8.0-0.bpo.2-amd64 dipende da linux-kbuild-4.8; comunque:
  Il pacchetto linux-kbuild-4.8 non è installato.                                                                                                                                                                         
                                                                                                                                                                                                                           
dpkg: errore nell'elaborare il pacchetto linux-headers-4.8.0-0.bpo.2-amd64 (--install):                                                                                                                                   
 problemi con le dipendenze - lasciato non configurato                                                                                                                                                                     
Elaborazione dei trigger per readahead-fedora (2:1.5.6-5.2)...                                                                                                                                                             
Si sono verificati degli errori nell'elaborazione:                                                                                                                                                                         
 linux-headers-4.8.0-0.bpo.2-amd64   


dato che sicuramente si porta dietro un sacco di dipendenze non mi conviene modificare le souce.list? se si come posso fare? grazie
MixDeb
Newbie
Newbie
 
Messaggi: 28
Iscritto il: 08/01/2018, 11:55

Prossimo

Torna a Hardware

Chi c’è in linea

Visitano il forum: Nessuno e 5 ospiti